=== debian/changelog ===
ring (20190215.1.f152c98~ds1-1build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:24:58 +0100

ring (20190215.1.f152c98~ds1-1build1) focal; urgency=medium

  * No-change rebuild against libnettle7

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 31 Oct 2019 22:15:04 +0000

ring (20190215.1.f152c98~ds1-1) unstable; urgency=medium

  * New upstream version.
  * Refresh patches.

 -- Alexandre Viau <aviau@debian.org>  Mon, 18 Feb 2019 22:46:25 -0500

ring (20190110.1.e572469~ds1-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Mon, 14 Jan 2019 10:23:11 -0500

ring (20190101.3.5315d84~ds1-2) unstable; urgency=medium

  * Remove unused libsrtp dependency. (Closes: 918543)

 -- Alexandre Viau <aviau@debian.org>  Mon, 14 Jan 2019 10:08:09 -0500

ring (20190101.3.5315d84~ds1-1) unstable; urgency=medium

  * New upstream version.
  * Rename binary packages to jami. Upstream has not fully completed
    the transition yet and there are still things that use the Ring
    name. However, this is a step in the right direction.

 -- Alexandre Viau <aviau@debian.org>  Sat, 05 Jan 2019 21:53:29 -0500

ring (20181001.4.a99aaec~ds6-2) unstable; urgency=medium

  * Build with LFS. (Closes: #913186)

 -- Alexandre Viau <aviau@debian.org>  Thu, 08 Nov 2018 13:02:52 -0500

ring (20181001.4.a99aaec~ds6-1) unstable; urgency=medium

  * Exclude graddle jar.

 -- Alexandre Viau <aviau@debian.org>  Thu, 08 Nov 2018 11:55:47 -0500

ring (20181001.4.a99aaec~ds5-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Thu, 08 Nov 2018 11:46:08 -0500
