## ring 20190215.1.f152c98~ds1-1build2+9.0trisquel1

=== debian/changelog ===
ring (20190215.1.f152c98~ds1-1build2+9.0trisquel1) etiona; urgency=medium

  * Backported from focal

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 02 Nov 2020 13:43:46 +0000
